package com.hzs.common.core.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * 读取项目相关配置
 *
 * @author hzs
 */
@Component
@ConfigurationProperties(prefix = "bd")
public class BdConfig {

    /**
     * 系统名称（ESysName）
     */
    private static String sysName;

    /**
     * 当前环境
     */
    private static String env;

    /**
     * PC地址
     */
    private static String pc;
    /**
     * 公众号地址
     */
    private static String gzh;
    /**
     * IOS地址
     */
    private static String ios;
    /**
     * android地址
     */
    private static String android;

    public static String getSysName() {
        return sysName;
    }

    public void setSysName(String sysName) {
        BdConfig.sysName = sysName;
    }

    public static String getEnv() {
        return env;
    }

    public void setEnv(String env) {
        BdConfig.env = env;
    }

    public static String getPc() {
        return pc;
    }

    public void setPc(String pc) {
        BdConfig.pc = pc;
    }

    public static String getGzh() {
        return gzh;
    }

    public void setGzh(String gzh) {
        BdConfig.gzh = gzh;
    }

    public static String getIos() {
        return ios;
    }

    public void setIos(String ios) {
        BdConfig.ios = ios;
    }

    public static String getAndroid() {
        return android;
    }

    public void setAndroid(String android) {
        BdConfig.android = android;
    }

}
